CMSIS-DSP: arm_biquad_casd_df1_inst_f32 Struct Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_biquad_casd_df1_inst_f32 Struct Reference

Instance structure for the floating-point Biquad cascade filter.

## Data Fields

uint32_t | numStages
float32_t * | pState
const float32_t * | pCoeffs

## Field Documentation

uint32_t numStages

number of 2nd order stages in the filter. Overall order is 2*numStages.

const float32_t* pCoeffs

Points to the array of coefficients. The array is of length 5*numStages.

float32_t* pState

Points to the array of state coefficients. The array is of length 4*numStages.